/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : May, 1997                                                      */
/* File Name : City.h                                                    */
/*************************************************************************/
/*************************************************************************/

#ifndef _CITY_H
#define _CITY_H

#include <iostream.h>

class City {

   public:
     City(char *,unsigned);
     City(const City&);
     City();
     ~City();

     char *getName() const;
     unsigned getIndex() const;

     operator!=(const City& RHS) { return (!((*this)==RHS)); };
     operator==(const City&);
     City operator=(const City&);
     friend ostream & operator<<(ostream&, const City&);

   private:
         char name[30];   // name of the city
     unsigned index;      // index of the city

}; // end of Class City
#endif
